Page MenuHomePhabricator

[clang-format] Detect constructor initializers preceded by `noexcept`.
ClosedPublic

Authored by erik65536 on Feb 25 2016, 11:37 AM.

Details

Reviewers
klimek
djasper

Diff Detail

Event Timeline

erik65536 updated this revision to Diff 49100.Feb 25 2016, 11:37 AM
erik65536 retitled this revision from to [clang-format] Detect constructor initializers preceded by `noexcept`..
erik65536 updated this object.
erik65536 added reviewers: djasper, klimek.
erik65536 added a subscriber: cfe-commits.
djasper edited edge metadata.Feb 25 2016, 9:57 PM

Thanks for looking at this.

Please also add a test in unittests/Format/FormatTest.cpp.

lib/Format/TokenAnnotator.cpp
507

Use Tok->Previous->isOneOf(tok::r_paren, tok_kw_noexcept)

erik65536 updated this revision to Diff 49155.Feb 26 2016, 12:48 AM
erik65536 edited edge metadata.

Change is() || is() to isOneOf() and added a test case.

djasper accepted this revision.Feb 26 2016, 12:52 AM
djasper edited edge metadata.

Looks good. Do you have commit access?

This revision is now accepted and ready to land.Feb 26 2016, 12:52 AM

I do not have commit access.

jbcoe added a subscriber: jbcoe.Mar 1 2016, 12:22 PM
djasper closed this revision.Mar 1 2016, 1:46 PM

Submitted as r262402. Thank you.